## LsmDomNodeList LsmDomNodeList — Base class for DOM node lists |

## Functions

LsmDomNode * | lsm_dom_node_list_get_item ()
unsigned int | lsm_dom_node_list_get_length ()
GType | lsm_dom_node_list_get_type ()

## Description

## Functions

### lsm_dom_node_list_get_item ()

    LsmDomNode *
    lsm_dom_node_list_get_item (LsmDomNodeList *list,
                                unsigned int index);

#### Parameters

list | a LsmDomNodeList |
index | id of the item to retrieve |

#### Returns

the node corresponding to index, NULL on error.

[transfer none]

### lsm_dom_node_list_get_length ()

    unsigned int
    lsm_dom_node_list_get_length (LsmDomNodeList *list);

### lsm_dom_node_list_get_type ()

    GType
    lsm_dom_node_list_get_type (void);

## Types and Values